<?php

namespace Drp\AdfsAuthentication;

use Illuminate\Database\Eloquent\Collection;

trait AdfsUserTrait
{

    /**
     * @return mixed
     */
    public function getIdentifier()
    {
        return $this->id;
    }


    /**
     * @return mixed
     */
    public function adfsTokens()
    {
        return $this->hasMany(AdfsOAuthToken::class, 'user_id')->orderBy('created_at', 'desc');
    }
}
